<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>

<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>

<style type="text/css">
	.w200 { width: 200px !important }
	.w150 { width: 150px !important }
	.ml100 {margin-left: 100px !important }
	.ml115 {margin-left: 115px !important }
	.mt10 { margin-top: 10px !important }
	.mr30 {margin-right: 30px !important}
	
	
	.form .vindent2 {margin-top: 0px !important}
	
	
	#calendar-f-container {
		height: 630px;
		margin-top: 15px;
	}
	#calendar-f-container .sep {
		border-top: 1px solid #eee;
		margin: 10px 0 10px 0
	}
	#calendar-f {
		border: 3px solid #2e2e2e;
		overflow: hidden;
		width: 399px;
	}
	#calendar-f .ii {
		float: left;
		width: 399px;
	}
	#month-f {
		height: 26px;
		background: url('/img/calendar_month_bg.png');
		text-align: center;
		position: relative;
		padding-top: 11px;
	}
	#month-f span {
		font-size: 14px;
		font-weight: bold;
		color: #fff;
	}
	#prev-f {
		cursor: pointer;
		position: absolute;
		background: url('/img/calendar_prev.png');
		height: 12px;
		width: 11px;
		top: 13px;
		left: 25px;
	}
	#next-f {
		cursor: pointer;
		position: absolute;
		background: url('/img/calendar_next.png');
		height: 12px;
		width: 11px;
		top: 13px;
		right: 25px;
	}
	#calendar-f .weekdays {
		height: 26px;
		background: url('/img/calendar_weekdays_bg.png') repeat-x;
		border-bottom: 1px solid #bbb;
	}
	#calendar-f span.weekday {
		color: #8d8d8d;
		font-size: 13px;
		float: left;
		padding: 5px 17px;
	}
	#calendar-f .cell-wrapper {
		float: left;
		padding: 1px 0 0 1px;
	}
	#calendar-f span.cell {
		float: left;
		width: 55px;
		height: 30px;
		color: #b4b3b3;
		font-size: 17px;
		line-height: 1.9em;
		text-align: center;
		border-bottom: 1px solid #bbbbbb;
		border-right: 1px solid #bbbbbb;
		background: url('/img/calendar_cell_bg_passive.png') repeat-x;
	}
	
	#calendar-f span.selected {
		color: #4f4f4f !important;
		background: url('/img/calendar_cell_bg_selected.png') repeat-x !important;
	}
	#calendar-f span.available {
		color: #4f4f4f !important;
		background: url('/img/calendar_cell_bg.png') repeat-x;
		cursor: default;
	}
	#calendar-f span.available.next-month-day {
		background: url('/img/calendar_cell_bg_passive.png') repeat-x !important;
	}
	
	#calendar-f span.available.prev-month-day {
		background: url('/img/calendar_cell_bg_passive.png') repeat-x !important;
	}
	
	#calendar-f span.booked {
		background: url('/img/calendar_cell_bg_booked.png') repeat-x;
		color: #fff;
		cursor: default;
	}
	
	.gotd-tooltip .tip {
		background-color: #fefcd5;
		padding: 5px 15px;
	}
	.gotd-tooltip .tip-text{
		line-height: 1.8em;
		color: #000;
	}
</style>

<? 
	$curr_year = date('Y', time());
	$years_count = 2;
	$width = 399;
	$curr_month = (int)date('n', time());
?>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	
	var step = <?= $width ?>;
	var currMonth = <?= $curr_month ?>;
	var currYear = <?= $curr_year ?>;
	var yearsCount = <?= $years_count ?>;
	var currMargin = 0;
	
	var fx = new Fx.Tween($$('#calendar-f .i')[0], {
		duration: 'short',
		transition: 'linear',
		link: 'cancel',
		property: 'margin-left'
	});
	
	$('prev-f').addEvent('click', function(e) {
		if ( currMargin == 0 ) return;

		fx.start(currMargin, currMargin + step);
		currMargin += step;
		currMonth -= 1;
		if ( currMonth == 0 ) {
			currMonth = 12;
			currYear -= 1;
			yearsCount += 1;
		}
		setMonthTitle(currMonth, currYear);
	});

	$('next-f').addEvent('click', function(e) {
		if ( currMonth == 12 && yearsCount == 1 ) return;

		fx.start(currMargin, currMargin - step);
		currMargin -= step;
		currMonth += 1;
		if ( currMonth > 12 ) {
			currMonth = 1;
			currYear += 1; 
			yearsCount -= 1;
		}
		setMonthTitle(currMonth, currYear);
	});
	
	var cancelPackage = function() {
		if ( confirm('Are you sure you want to cancel this package?') ) {
			Cubix.Popup.Actions.SaveValid.bind(this).call();
		}
	};

	var pPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Cancel Package', icon: 'package-delete', action: cancelPackage },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 590
	});
	window.cancelPopup = pPopup;

	var up_popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Upgrade', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 845
	});
	window.upgradePopup = up_popup;

	var detailsPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100
	});

	function setMonthTitle(month, year) {
		if ( $$('.month-' + month + '-' + year)[0] ) {
			$$('#month-f span')[0].set('html', $$('.month-' + month + '-' + year)[0].getElement('input').get('value'));
		}
	}

	var initDateFilter = function(filter_form)
	{
		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		$(filter_form).getElement('.f-filter-by').addEvent('change', function() {
			if ( this.get('value') ) {
				$(filter_form).getElement('.f-dates-defined').set('disabled', '');
				$(filter_form).getElement('.f-date-from').set('disabled', '');
				$(filter_form).getElement('.f-date-to').set('disabled', '');
				$(filter_form).getElement('.f-date-from').getNext().set('disabled', '');
				$(filter_form).getElement('.f-date-to').getNext().set('disabled', '');

				$(filter_form).getElement('.f-dates-defined').addEvent('change', function() {

					switch(this.get('value'))
					{
						case '':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()), true);

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()), true);
						break;
						case 'today':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'yesterday':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'last_7_days':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'this_month':
							var last_day = new Date().get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
						break;
						case 'last_month':
							var last_month = new Date().decrement('month', 1);

							var last_day = last_month.get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(last_month.set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
						break;
					}
				});
			}
			else
			{
				$(filter_form).getElement('.f-dates-defined').set('value', '');
				$(filter_form).getElement('.f-dates-defined').set('disabled', 'disabled');

				date_from.onFocus(date_from.item, date_from.clone, true);
				date_from.select(date_from.dateToObject(new Date()), true);

				date_to.onFocus(date_to.item, date_to.clone, true);
				date_to.select(date_to.dateToObject(new Date()), true);

				$(filter_form).getElement('.f-date-from').set('disabled', 'disabled');
				$(filter_form).getElement('.f-date-to').set('disabled', 'disabled');

				$(filter_form).getElement('.f-date-from').getNext().set('disabled', 'disabled');
				$(filter_form).getElement('.f-date-to').getNext().set('disabled', 'disabled');
			}
		});
	};

	initDateFilter('search-form');

	<? if ( strlen($this->filter_params['filter_by']) > 0 ): ?>
		$('search-form').getElement('.f-filter-by').fireEvent('change');
	<? endif; ?>

	<? if ( strlen($this->filter_params['dates_defined']) > 0 ): ?>
		$('search-form').getElement('.f-dates-defined').set('value', '<?= $this->filter_params['dates_defined'] ?>');
		$('search-form').getElement('.f-dates-defined').fireEvent('change');
	<? endif; ?>

	var getFilterParams = function () {
		sform = 'search-form';
		var uri = new URI('?' + $(sform).toQueryString());

		return uri.get('data');
	};

	var defaultAction;


	var gotdPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Update GOTD', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 440
	});
	window.gotdPopup = gotdPopup;
	

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Showname', field: 'showname', type: 'PEscortLink', sortable: true },
			{ title: 'Escort ID', field: 'escort_id', type: 'number', sortable: false, width: 60 },
			{ title: 'Order ID', field: 'system_order_id', type: 'SystemOrderId', sortable: false, width: 70 },
			{ title: 'Agency Name', field: 'agency_name', type: 'string', sortable: true, width: 110 },
			{ title: 'GOTD City', field: 'gotd_city', type: 'string', sortable: true, width: 81 },
			{ title: 'GOTD Act. Date', field: 'gotd_activation_date', type: 'number', sortable: true, width: 115 },
			{ title: 'GOTD Status', field: 'gotd_status_text', type: 'string', sortable: false, width: 80 },
			{ title: 'Package', field: 'package_name', type: 'string', sortable: true },
			{ title: 'Status', field: 'package_status', type: 'PackageStatus', sortable: true, width: 55 },
			{ title: 'Period', field: 'period', type: 'number', sortable: true, width: 60 },
			{ title: 'Price', field: 'price', type: 'number', sortable: true, width: 50 },
			{ title: 'GOTD Cr. Date', field: 'gotd_creation_date', sortField: 'go.creation_date', type: 'Date', sortable: true, width: 112 }
		],
		sort: {
			field: 'showname',
			dir: 'ASC'
		},
		actions: [ 
			<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>
			<? if ( in_array($bu_user->type, array('superadmin', 'admin')) ):?>
			{ type: 'edit', func: function (data) {
				if ( data.gotd_status_text == 'PENDING' ) {
					gotdPopup.setTitle('Update GOTD');
					gotdPopup.load('/billing/packages/update-gotd?id=' + data.order_package_id + '&go_id=' + data.go_id, function () {
						gotdPopup.open();
					});
				} else if (data.gotd_status_text === 'USED' && <?= intval($bu_user->type == 'superadmin' && in_array(Cubix_Application::getId(),array(APP_EF,APP_BL,APP_EG_CO_UK)))?>) {
					gotdPopup.setTitle('Update GOTD');
					gotdPopup.load('/billing/packages/update-gotd?id=' + data.order_package_id + '&go_id=' + data.go_id, function () {
						gotdPopup.open();
					});
				}else if(data.gotd_status_text === 'USED' && <?= intval($bu_user->id == '73' && in_array(Cubix_Application::getId(),array(APP_BL)))?>) {
					// https://sceonteam.atlassian.net/browse/BEN-75
					gotdPopup.setTitle('Update GOTD');
					gotdPopup.load('/billing/packages/update-gotd?id=' + data.order_package_id + '&go_id=' + data.go_id, function () {
						gotdPopup.open();
					});
				}else{
					alert('You can update only PENDING GOTD\'s or ACTIVE on curent date!');
				}
			} },
			{ type: 'remove', func: function (data) {
				if ( data.gotd_status_text == 'PENDING' ) {
					if ( confirm('Are you sure you want to cancel this GOTD ?') ) {
						new Request({
							url: '<?= $this->baseUrl() ?>/billing/gotd-prev/cancel-pending-gotd?gotd_id=' + data.go_id,
							method: 'get',
							onSuccess: function (resp) {
								grid.load();
							}
						}).send();
					}
				}else if(data.gotd_status_text === 'USED' && <?= intval($bu_user->type == 'superadmin' && in_array(Cubix_Application::getId(),array(APP_EF,APP_BL,APP_EG_CO_UK)))?>){
                    var gotdActiveDate = new Date(data.gotd_activation_date * 1000);
                    var curentDate = new Date();
				    if (curentDate.toLocaleDateString() === gotdActiveDate.toLocaleDateString()) {
                        if ( confirm('Are you sure you want to cancel active GOTD ?') ) {
                            new Request({
                                url: '<?= $this->baseUrl() ?>/billing/gotd-prev/cancel-active-gotd?gotd_id=' + data.go_id,
                                method: 'get',
                                onSuccess: function (resp) {
                                    grid.load();
                                }
                            }).send();
                        }
                    }else{
                        alert('You can cancel only GOTD\'s or ACTIVE on curent date!');
                    }

                }
				else {
					alert('You can cancel only PENDING GOTD\'s!');
				}
			} } 
			<? endif; ?>
		],
		data: new Cubix.Grid.Loader({ url: '/billing/gotd-prev/data', params: getFilterParams })
	});

	/* Agency and Escort popups data */
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	var popupClose = function(popup) {
		if ( popup.__mode == 'edit' ) {
			var old_data = window.popup_data;
			var new_data = popup.content.getElement('.form-common').toQueryString();
			/*console.log(old_data);
			console.log('ppppppppppppppppppppppp');
			console.log(new_data);*/
			/*if ( old_data != new_data ) {
				if ( confirm('Close without saving changes ?') ) {
					popup.close();
					//grid.load();
				}
			}
			else {*/
				popup.close();
				/*grid.load();
			}*/

		} else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	// --> Agency popup <--
	var agencyPopup = window.AgencyPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690/*,
		zIndex: function () { return Cubix.Popup.zIndex + 22 }*/
	});

	agencyPopup.addEvent('loaded', function () {


		var ag_self = this;

		new mootabs('agency-tabs', { width: null, height: 'auto' });

		var escorts_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-escort-grid-a', {
			identifier: { field: 'id' },
			header: [
				{ title: 'Showname', field: 'showname', type: 'EscortLink', sortable: true, width: '140px' },
				{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '140px' },
				{ title: 'Phone', field: 'contact_phone_parsed', type: 'string', sortable: true, width: '140px' },
				{ title: 'Email', field: 'contact_email', type: 'Email', sortable: true, width: '140px' },
				{ title: 'Package', field: 'active_package', type: 'ActivePackage', sortable: true, width: '140px' }
			],
			sort: {
				field: 'showname',
				dir: 'asc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/agencies/escort-list-data?agency_id=' + agencyPopup.agency_id })
		});

		escorts_grid.addEvent('loaded', function () {
			ag_self.content.getElements('.escort-showname').addEvent('click', function (e) {
				e.stop();

				var data = this.getParent('tr').rowData;
				window.EscortPopup.data = data;
				window.EscortPopup.setTitle('Edit Escort ' + data.showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
					this.open();
				});
			});
		});

		this.content.getElements('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				this.content.getElements('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', '');
				});
			}
		});

		this.content.getElement('select[name=country_id]').addEvent('change', function() {

			ag_self.content.getElement('select[name=city_id]').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					ag_self.content.getElement('select[name=city_id]').set('html', resp);
					ag_self.content.getElement('select[name=city_id]').set('disabled', '');
				}
			}).send();
		});

		window.EscortPopup.close();
	});
	// <-- Agency popup -->

	var ePpopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Place New Order', icon: 'add', action: function () {
				openOrderPopup();
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(ePpopup))(function (result) {
					grid.load();
					if ( 'create' == ePpopup.__mode ) {
						if ( confirm('Do you want to edit photos of this escort?') ) {
							window.PhotosPopup.setTitle('Photos of Escort');
							window.PhotosPopup.escort_id = result.escort_id;
							window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + result.escort_id, function () {
								this.open();
							});
						}
					}
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});
	
	var addOrderButton = ePpopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');

	window.EscortPopup = ePpopup;

	ePpopup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
	});

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});


	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	var openOrderPopup = function() {
		window.PackagesPopup = PackagesPopup;
		window.OrderPopup = OrdersPopup;

		if ( ! window.EscortPopup.data.agency_id ) {
			OrdersPopup.setTitle('Create New Order for Escort ' + window.EscortPopup.data.showname);
			OrdersPopup.load('/billing/orders/create?type=escort&id=' + window.EscortPopup.data.escort_id + '&name=' + window.EscortPopup.data.showname, function () {
				this.open();
			});
		}
		else {
			OrdersPopup.setTitle('Create New Order');
			OrdersPopup.load('/billing/orders/create?type=agency&id=' + window.EscortPopup.data.agency_id + '&name=' + window.EscortPopup.data.agency_name, function () {
				this.open();
			});
		}
	};

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.SmsPopup = popup_sms;

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;

	var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});

	window.PhotosPopup = photos_popup;

	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	/* Agency and Escort popups data */


	grid.addEvent('loaded', function () {
		$$('.escort-showname').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;
			ePpopup.__mode = 'edit';

			

			window.EscortPopup.data = data;
			addOrderButton.setStyle('display', 'block')
			window.EscortPopup.setTitle('Edit Escort ' + data.showname);
			window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});
		
		if ( $('select-all') ) {
			$('select-all').set('checked', '');

			$('select-all').addEvent('click', function() {
				if ( this.get('checked') )
				{
					$$('#cx-grid input[type=checkbox]').each(function(it){
						if ( it.get('id') != 'select-all' )
							it.set('checked', 'checked');
					});
				}
				else
				{
					$$('#cx-grid input[type=checkbox]').each(function(it){
						if ( it.get('id') != 'select-all' )
							it.set('checked', '');
					});
				}
			});
		}
	});
	
	if ( $('btn-send-sms') )
		new Cubix.Button($('btn-send-sms'), { onClick: function () {
			var ids = getCheckedIds();

			if ( ids ) {
				window.SmsPopup.setTitle('Compose Text Message');
				window.SmsPopup.load('<?= $this->baseUrl() ?>/sms/index/compose?' + ids.split(',') + '&no_btn=1', function () {
					this.open();
				});
			}
			else {
				alert('Please select some row(s) to perform action with !');
			}
		}, icon: 'msg_send', caption: 'Send Bulk SMS', classes: 'ml20' });
	
	function getCheckedIds()
	{
		var ids = '';
		$$('#cx-grid input[type=checkbox]').each(function(it){
			if ( it.get('escort_id') != 'select-all' && it.get('checked') )
				ids += 'id[]=' + it.value + '&';
		});

		return ids;
	}
	
	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	
	window.SmsPopup = popup_sms;
	
	window.SmsPopup.addEvent('loaded', function () {		
		if ($('sms_template'))
			$('sms_template').addEvent('change', function(e) {
				e.stop();

				var id = $('sms_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/index/template?id=' + id,
					onSuccess: function (resp) {
						$('text').set('value', resp);
					}.bind(this)
				}).send();
			});
	});

	/*new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add New Transfer');
		popup.load('/billing/transfers/create', function () {
			this.open();
		});
	}, icon: 'add', caption: 'Add New Transfer', classes: 'mr10' });*/

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		/*selects.addEvent('change', function(){
			grid.load();
		});*/
	};

	initFormSubmit();
};
</script>

<div class="form-common gray c-filter-form">
	<form id="search-form" action="">
		<div class="fleft">
			<fieldset class="inner mb10">
				<legend>General</legend>

				<div class="inner">
					<label for="showname">Showname</label>
					<input name="showname" id="showname" class="txt w16" type="text" value="<?= $this->filter_params['showname'] ?>" />
				</div>
				<div class="inner">
					<label for="escort_id">Escort ID</label>
					<input name="escort_id" id="escort_id" class="txt w16" type="text" value="<?= $this->filter_params['escort_id'] ?>" />
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label for="gotd_city">GOTD City</label>
					<input name="gotd_city" id="gotd_city" class="txt w16" type="text" value="<?= $this->filter_params['gotd_city'] ?>" />
				</div>
				<div class="inner">
					<label for="gotd_status">GOTD Status</label>
					<select id="gotd_status" name="gotd_status" class="w16">
						<option value=""> - any - </option>
						<option value="<?= Model_Products::GOTD_STATUS_ACTIVE ?>"><?= Model_Products::$GOTD_STATUS_TITLES[Model_Products::GOTD_STATUS_ACTIVE] ?></option>
						<option value="<?= Model_Products::GOTD_STATUS_EXPIRED ?>"><?= Model_Products::$GOTD_STATUS_TITLES[Model_Products::GOTD_STATUS_EXPIRED] ?></option>
					</select>
				</div>
				<!--
				<div class="inner">
					<label for="agency_name">Agency Name</label>
					<input name="agency_name" id="agency_name" class="txt w16" type="text" value="<?= $this->filter_params['agency_name'] ?>" />
				</div> -->
			</fieldset>

			<fieldset class="inner mb10">
				<legend>Date</legend>

				<div class="inner">
					<label for="f-filter-by">Filter By</label>
					<select id="f-filter-by" name="filter_by" class="w16 f-filter-by">
						<option value=""> - any - </option>
						<option value="activation_date" <?= ( $this->filter_params['filter_by'] == 'activation_date' ) ? 'selected="selected"' : '' ?> >GOTD Activation Date</option>
						<option value="creation_date" <?= ( $this->filter_params['filter_by'] == 'creation_date' ) ? 'selected="selected"' : '' ?> >GOTD Add Date</option>
						<? /*<option value="expiration_date" <?= ( $this->filter_params['filter_by'] == 'expiration_date' ) ? 'selected="selected"' : '' ?> >Expiration Date</option>*/ ?>
					</select>
				</div>

				<div class="inner">
					<label>Date:</label>
					<select id="f-dates-defined" name="dates_defined" class="w16 f-dates-defined" disabled="disabled">
						<option value=""> - any - </option>
						<option value="today">Today</option>
						<option value="yesterday">Yesterday</option>
						<option value="last_7_days">Last 7 Days</option>
						<option value="this_month">This Month</option>
						<option value="last_month">Last Month</option>
					</select>
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label>From</label>
					<input id="f-date-from" type="text" class="txt w147 f-date-from" name="date_from" value="" disabled="disabled" />
				</div>

				<div class="inner" style="padding-top: 25px">
					<span> - </span>
				</div>

				<div class="inner">
					<label>To</label>
					<input id="f-date-to" type="text" class="txt w147 f-date-to" name="date_to" value="" disabled="disabled" />
				</div>

				<div class="clear"></div>
			</fieldset>

			<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>

			<fieldset class="inner mb10">
				<legend>Sales</legend>

				<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin'): ?>
					<div class="inner">
						<label for="f-sales-user-id-real">Sales Person</label>
						<select name="sales_user_id_real" id="f-sales-user-id-real" class="w14">
							<option value="">- any -</option>
							<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales clerk','sales', 'sales manager', 'admin', 'superadmin'), Cubix_Application::getId()) ?>
							<?php foreach($sales as $sale): ?>
								<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id_real']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				<? endif; ?>

				<div class="clear"></div>

				<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' || $bu_user->type == 'payments manager' ): ?>
					<div class="inner">
						<label for="f-sales-user-id">Vendor</label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14">
							<option value="">- any -</option>
							<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales clerk','sales manager', 'sales', 'admin', 'superadmin'), Cubix_Application::getId()) ?>
							<?php foreach($sales as $sale): ?>
								<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				<? else: ?>
					<div class="inner disabled">
						<label for="f-sales-user-id">Vendor</label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14" disabled="disabled">
							<option value="<?= $bu_user->id ?>"><?= $bu_user->username ?></option>
						</select>
					</div>
				<? endif; ?>
				<div class="clear"></div>
			</fieldset>

			<fieldset class="inner mb10">
				<legend>Calendar</legend>

				<div id="calendar-f">
					<div id="month-f">
						<a id="prev-f"></a>
						<span><?= date('F', time()) . ' ' . $curr_year ?></span>
						<a id="next-f"></a>
					</div>
					<div class="i" style="width: <?= $years_count * 12 * $width; ?>px">
						<? for($year = $curr_year; $year < $curr_year + $years_count; $year++): ?>
							<?
							if ( $year == $curr_year ) {
								$months_from = $curr_month;
							} else {
								$months_from = 1;
							}
							/*if ( $this->data['date'] ) {
								$margin_offset = (date('m', $this->data['date']) - $months_from) * $width;
							}*/
							?>
							<? for($i = $months_from; $i <= 12; $i++): ?>
							<div class="ii month-<?= $i . '-' . $year ?>">
								<input type="hidden" value="<?= date('F', mktime(0, 0, 0, $i, 1, $year)) . ' ' . $year ?>"/>
								<div class="weekdays">
									<span class="weekday">Mon</span>
									<span class="weekday">Tue</span>
									<span class="weekday">Wed</span>
									<span class="weekday">Thu</span>
									<span class="weekday">Fri</span>
									<span class="weekday">Sat</span>
									<span class="weekday">Sun</span>
								</div>
								<div class="days">
									<? /* PREPENDING DAYS FROM LAST MONTH */ ?>
									<? 
										$first_weekday = date('w', mktime(0, 0, 0, $i, 1, $year)); 
										if ( $first_weekday == 0 ) $first_weekday = 7; // fixing sunday = 7
										$days_to_prepend = 7 - ( (7 - $first_weekday) + 1);
										$days_in_previous_month = cal_days_in_month(CAL_GREGORIAN, $i - 1 > 0 ? $i - 1 : 12, $i - 1 > 0 ? $year : $year - 1);
									?>
									<? for($k = $days_in_previous_month - ($days_to_prepend - 1 ); $k <= $days_in_previous_month; $k++): ?>
									<div class="cell-wrapper">
										<span class="cell prev-month-day <?= date('Y-n-j', mktime(0, 0, 0, $i - 1 > 0 ? $i - 1 : 12, $k, $i - 1 > 0 ? $year : $year - 1 )) ?>"><?= $k ?></span>
									</div>
									<? endfor; ?>
									<? /*  */ ?>

									<? /* FILLING DAYS OF MONTH */ ?>
									<? $days_count = cal_days_in_month(CAL_GREGORIAN, $i, $year) ?>
									<? for($y = 1; $y <= $days_count; $y++): ?>

									<?
									$class = 'available';
									$d_string = date('Y-m-d', mktime(0, 0, 0, $i, $y, $year));

									if ( isset($this->gotd_booked_days[$d_string]) ) {
										$class = 'booked';
										$rel = array();
										foreach($this->gotd_booked_days[$d_string] as $b_day) {
											$name = $b_day->showname . '(' . $b_day->city_title . ')';
											if ( $b_day->status == 1 ) {
												$name =  $name . ' <strong>NOT PAID YET</strong>';
											}
											$rel[] = $name;
										}
										$rel = implode("<br/>", $rel);
									}
									?>
									<div class="cell-wrapper">
										<span class="cell <?= $class ?> <?= date('Y-n-j', mktime(0, 0, 0, $i, $y, $year)) ?>" rel="<?= $rel ?>" rel="asdfsdf"><?= $y ?></span>
									</div>
									<? endfor; ?>
									<? /* */ ?>

									<? /* APPENDING DAYS FROM NEXT MONTH */ ?>
									<?
										$days_to_append = 42 - ($days_count + $days_to_prepend);
									?>

									<? for($k = 1; $k <= $days_to_append; $k++): ?>
									<div class="cell-wrapper">
										<span class="cell next-month-day <?= date('Y-n-j', mktime(0, 0, 0, $i + 1 > 12 ? 1 : $i + 1, $k, $i + 1 > 12 ? $year + 1 : $year)) ?>"><?= $k ?></span>
									</div>
									<? endfor; ?>
									<? /* */ ?>
								</div>
							</div>
							<? endfor; ?>
						<? endfor; ?>
					</div>
				</div>
				<div class="clear"></div>
			</fieldset>
			<div class="clear"></div>
		</div>

		<div class="clear"></div>

		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>

		<? if (Cubix_Application::getId() == APP_EF): ?>
			<div id="lbl-sum"></div>
		<? endif; ?>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<!--
<div class="action-bar mt10">
	<a href="" id="btn-create"></a>

	<div class="clear"></div>
</div>
-->

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
